DROP TABLE IF EXISTS MOVIES;

CREATE TABLE MOVIES (
ID INT NOT NULL AUTO_INCREMENT,
Title VARCHAR(255),
Runtime INT,
Genre VARCHAR(255),
IMDB_Score DECIMAL,
Rating VARCHAR(255),
);

INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('Howard the Duck', 110, 'Sci-Fi', 4.6, 'PG');
INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('Lavalantula', 83, 'Horror', 4.7, 'TV-14');
INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('Starship Troopers', 129, 'Sci-Fi', 7.2, 'PG-13');
INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('Waltz With Bashir', 90, 'Documentary', 8.0, 'R');
INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('Spaceballs', 96, 'Comedy', 7.1, 'PG');
INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('Monsters Inc.', 92, 'Animation', 8.1, 'G');

INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('Scott Pilgrim vs. The World', 112, 'Action', 7.5, 'PG-13');
INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('Kung Fu Panda', 92, 'Animation', 7.6, 'PG');
INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('Black Mirror: Bandersnatch', 90, 'Drama', 7.7, 'TV-MA');
INSERT INTO MOVIES (TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES ('The Room', 99, 'Drama', 3.7, 'R');

SELECT Title, Genre FROM MOVIES
WHERE Genre = 'Sci-Fi';

SELECT Title, IMDB_Score FROM MOVIES
WHERE IMDB_Score >= 6.5;

SELECT Title, Runtime, Rating FROM MOVIES
WHERE Runtime < 100 AND Rating = 'PG' OR Rating = 'G';

SELECT Genre, AVG(Runtime) FROM MOVIES
WHERE IMDB_Score < 7.5
GROUP BY Genre;

UPDATE MOVIES
SET Rating = 'R'
WHERE Title = 'Starship Troopers';

SELECT ID, Title, Genre, Rating FROM MOVIES
WHERE Genre = 'Horror' OR Genre = 'Documentary';

SELECT Rating, AVG(IMDB_Score), MAX(IMDB_Score), MIN(IMDB_Score) FROM MOVIES
GROUP BY Rating
HAVING COUNT(*) > 1;

DELETE FROM Movies
WHERE Rating = 'R';

